PKGTOOL(8)

NAME
pkgtool - Paket-Verwaltungs-Software

ZUSAMMENFASSUNG
pkgtool

pkgtool [ --sets #a#b#c# ] [ --source_mounted ] [ --ignore_tagfiles ] [ --tagfile tagfile ] [ --source_dir directory ] [ --target_dir directory ] [ --source_device device ]

BESCHREIBUNG
pkgtool ist ein menügesteuertes Paket-Verwaltungs-Werkzeug, welches durch die Slackware-Distribution bereitgestellt wird. Es erlaubt dem Benutzer, Software Pakete zu installieren, zu entfernen oder durch ein interaktives System anzuschauen. Pkgtool kann außerdem dazu genutzt werden, um die menügesteuerten Skripte, die normalerweise am Ende einer Slackware-Installation ausgeführt werden, erneut auszuführen. Dies ist für eine einfache Neukonfiguration nützlich (wie z.B. das Ändern des Maus-Typs).

OPTIONEN
Die meisten Benutzer wollen keine Optionen nutzen, wenn sie pkgtool ausführen. Diese werden generell nur genutzt, wenn pkgtool bei der Erstinstallation ausgeführt wird. Sie können sie gerne ausprobieren, aber seien Sie vorsichtig.

--sets #A#B#C#
    Installiere die Disk-Sets A, B, C. Trenne die Namen der Disk-Sets durch "#" Symbole.

--source_mounted
    Wenn diese Markierung gesetzt ist, wird pkgtool nicht versuchen, das Quelllaufwerk bei jeder Disk neu aus- und wieder einzuhängen.

--ignore_tagfiles
    Wenn diese Markierung gesetzt ist, wird pkgtool jedes Paket installieren, unabhängig von den Tagfiles.

--tagfile tagfile
    Diese Markierung wird von der Kommandozeile genutzt, um zu spezifizieren, welche Tagfiles für die Installation genutzt werden sollen.

--source_dir Verzeichnis
    Wird genutzt, wenn verschiedene Pakete von Disk-Sets installiert werden. Dies ist das Verzeichnis, in welchen die Unterverzeichnisse für jedes Laufwerk zu finden sind. Diese werden nicht genutzt, wenn von einer Diskette installiert wird.

--target_dir Verzeichnis
    Das Verzeichnis, in dem sich das Hauptverzeichnis der Ziels befindet. Dieses ist '/', wenn auf einer Festplatte installiert wird oder typischerweise '/mnt', wenn von einer Installations-Disk installiert wird.

--source_device Gerät
    Das Quellengerät, von dem installiert werden soll. Dies wird nicht verwendet, wenn Sie den Parameter --source_mounted angegeben haben. Es wird normalerweise verwendet, wenn von einer Diskette installiert wird, beispielsweise:
     --source_device /dev/fd0u1440 oder
     --source_device /dev/fd1h1200.

AUTOR
Patrick J. Volkerding <volkerdi@slackware.com>

SIEHE AUCH
makepkg(8), explodepkg(8), installpkg(8), removepkg(8), upgradepkg(8)